Bug 177745 - Crash in OpenOffice.org Calc
Crash in OpenOffice.org Calc
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Caolan McNamara
Depends On:
  Show dependency treegraph
Reported: 2006-01-13 12:31 EST by Ian Pilcher
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-01-19 13:25:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Pilcher 2006-01-13 12:31:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
I have seen the attached crash (or something very like it) twice when working
in OpenOffice.org Calc.  I haven't noticed any common factor except that my
wife was in the room both times.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Intermittent crash when working in OpenOffice.org Calc.

Actual Results:  Pasted from crash dialog:

Video Driver is probably mga
DESKTOP_SESSION is set to kde
libgcj version is libgcj-4.0.2-8.fc4
OpenOffice.org core rpm version is openoffice.org-core-
0x364007: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e007
0x3647cc: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e7cc
0x985420:  + 0x420 (__kernel_sigreturn + 0x0)
0x2ca63b1: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x39b3b1
0x2ac26f4: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1b76f4
0x2ac3a51: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0x1b8a51
0x686f908: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf908
0x686f9c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf9c5
0x686f9c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf9c5
0x686f9c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf9c5
0x686f9c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf9c5
0x686f9c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf9c5
0x686f9c5: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1cf9c5
0x6874eb0: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d4eb0
0x687501a: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d501a
0x687503c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d503c
0x6723c64: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x83c64
0x672f8a2: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8f8a2 (Timer::Timeout() + 0x10)
0x672fc1c: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8fc1c
0x103d541: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3f541
0x103d52c: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x3f52c (SalData::Timeout() const + 0x24)
0x947874: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1a874
0xf99fe6: /usr/lib/libglib-2.0.so.0 + 0x24fe6
0xf984ce: /usr/lib/libglib-2.0.so.0 + 0x234ce (g_main_context_dispatch + 0x1dc)
0xf9b4d6: /usr/lib/libglib-2.0.so.0 + 0x264d6
0xf9b9b8: /usr/lib/libglib-2.0.so.0 + 0x269b8 (g_main_context_iteration + 0x66)
0x947a53: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1aa53
0x1044412: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x46412 (X11SalInstance::Yield(unsigned char) + 0x28)
0x6729ef8: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x89ef8 (Application::Yield() + 0x48)
0x6729f2e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x89f2e (Application::Execute() + 0x26)
0x7e5dfea: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x28fea (desktop::Desktop::Main() + 0x15c6)
0x672f473: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8f473
0x672f523: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8f523 (SVMain() + 0x29)
0x7e55a37: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20a37 (sal_main + 0x57)
0x7e55a83: /usr/lib/openoffice.org2.0/program/libsoffice.so + 0x20a83 (main + 0x27)
0xab0d5f: /lib/libc.so.6 + 0x14d5f (__libc_start_main + 0xdf)
0x80484e1: /usr/lib/openoffice.org2.0/program/scalc.bin + 0x4e1

Expected Results:  No crash.

Additional info:

This is a dual-processor system.  klipper is not running.  (WTF does it
actually *do*?)
Comment 1 Caolan McNamara 2006-01-18 05:27:10 EST
how about with for fc4 updates ?
Comment 2 Ian Pilcher 2006-01-19 13:25:19 EST
I haven't seen this crash since I reported it.  I'm going to close this (if
Bugzilla will let me), and I'll reopen it if I see this crash again.

Note You need to log in before you can comment on or make changes to this bug.